usb_hcd_resume_root_hub
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_hcd_resume_root_hub — called by HCD to resume its root hub

## Synopsis

`void usb_hcd_resume_root_hub (` | struct usb_hcd * | hcd`)`;

## Arguments

`hcd`

  host controller for this root hub

## Description

The USB host controller calls this function when its root hub is suspended (with the remote wakeup feature enabled) and a remote wakeup request is received. The routine submits a workqueue request to resume the root hub (that is, manage its downstream ports again).

Prev | Up | Next
usb_hcd_giveback_urb | Home | usb_bus_start_enum